Skip to main content
DELETE
/
1
/
derived_columns
/
{datasetSlug}
/
{derivedColumnId}
Delete a Calculated Field
curl --request DELETE \
  --url https://api.honeycomb.io/1/derived_columns/{datasetSlug}/{derivedColumnId} \
  --header 'X-Honeycomb-Team: <api-key>'
{
  "status": 400,
  "type": "https://api.honeycomb.io/problems/unparseable",
  "title": "The request body could not be parsed.",
  "error": "invalid gzip data"
}

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

derivedColumnId
string
required

Unique identifier (ID) of a Calculated Field (also called a Derived Column).

Response

Success - no content